package agilpizza.servlet.admin;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import agilpizza.dao.PedidoDAO;
import agilpizza.modelo.Pedido;

public class MudaEstadoPedidoServlet extends HttpServlet {

	private static final long serialVersionUID = -4127253820264183478L;

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		
		String pedido = req.getParameter("pedido");
		String estado = req.getParameter("estado");
		int idpedido = Integer.parseInt(pedido);
		
		PedidoDAO pedidosDao = (PedidoDAO) getServletContext().getAttribute("pedidosDao");
		
		Pedido pedidoAlterado = pedidosDao.buscaPedido(idpedido);
		
		pedidoAlterado.setEstadoPedido(estado);	
		
		resp.sendRedirect("listaPedidos.jsp");
	}

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		this.doGet(req, resp);
	}
}
